:root {
    --active-brightness: 0.85;
    --border-radius: 5px;
    --box-shadow: 2px 2px 10px;
    --color-accent: #118bee15;
    --color-bg: #fff;
    --color-bg-secondary: #e9e9e9;
    --color-bg-tertiary: #e8e8e8;
    --color-link: #118bee;
    --color-secondary: #49b60e;
    --color-secondary-accent: #920de90b;
    --color-shadow: #f4f4f4;
    --color-table: #118bee;
    --color-alert: #e4143e;
    --color-text: #000;
    --color-text-secondary: #999;
    --color-scrollbar: #cacae8;
    --font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    --hover-brightness: 1.2;
    --box-shadow: 2px 2px 10px;
    --justify-important: center;
    --justify-normal: left;
    --line-height: 1.5;
    --width-card: 285px;
    --width-card-medium: 460px;
    --width-card-wide: 800px;
    --width-content: 1080px;
    --color-blue: #118bee;
    --color-green: #00a74a;
    --color-red: #d32f2f;
    --color-yellow: #fbc02d;
    --color-purple: #7b1fa2;
    --color-orange: #f57c00;
    --color-pink: #c2185b;
    --color-brown: #6d4c41;
    --color-grey: #424242;
    --color-black: #000000;
}

@media (prefers-color-scheme: dark) {
    :root[color-mode="user"] {
        --color-accent: #0097fc4f;
        --color-bg: #333;
        --color-bg-secondary: #555;
        --color-link: #0097fc;
        --color-secondary: #e20de9;
        --color-secondary-accent: #e20de94f;
        --color-shadow: #bbbbbb20;
        --color-table: #0097fc;
        --color-text: #f7f7f7;
        --color-text-secondary: #aaa;
    }
}

html {
    scroll-behavior: smooth;
}

@media (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }
}

/* Layout */
article aside {
    background: var(--color-secondary-accent);
    border-left: 4px solid var(--color-secondary);
    padding: 0.01rem 0.8rem;
}

body {
    background: linear-gradient(0deg, var(--color-bg-secondary), var(--color-bg));
    color: var(--color-text);
    font-family: var(--font-family);
    line-height: var(--line-height);
    margin: 0;
    overflow-x: hidden;
    min-height: 100vh;
    padding: 0;
}

main {
    margin: 2rem auto;
    max-width: var(--width-content);
    padding: 3rem 1rem;
    background-color: var(--color-bg);
    border-radius: 1rem;
}

footer {
    margin: 0 auto;
    max-width: var(--width-content);
    padding: 3rem 1rem;
}

header {
    margin: 0 auto;
    padding: 3rem 1rem;
}


hr {
    background-color: var(--color-bg-secondary);
    border: none;
    height: 1px;
    margin: 4rem 0;
    width: 100%;
}

section {
    display: flex;
    flex-wrap: wrap;
    justify-content: var(--justify-important);
}

section img,
article img {
    max-width: 100%;
}

section pre {
    overflow: auto;
}

section aside {
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow) var(--color-shadow);
    margin: 1rem;
    padding: 1.25rem;
    width: var(--width-card);
}

section aside:hover {
    box-shadow: var(--box-shadow) var(--color-bg-secondary);
}

[hidden] {
    display: none;
}

/* Headers */
article header,
div header,
main header {
    padding-top: 0;
}

header {
    text-align: var(--justify-important);
}

header a b,
header a em,
header a i,
header a strong {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

header nav img {
    margin: 1rem 0;
}

section header {
    padding-top: 0;
    width: 100%;
}


nav ul {
    list-style: none;
    padding: 0;
}

nav ul li {
    display: inline-block;
    margin: 0 0.5rem;
    position: relative;
    text-align: left;
}

/* Nav Dropdown */
nav ul li:hover ul {
    display: block;
}

nav ul li ul {
    background: var(--color-bg);
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow) var(--color-shadow);
    display: none;
    height: auto;
    left: -2px;
    padding: .5rem 1rem;
    position: absolute;
    top: 1.7rem;
    white-space: nowrap;
    width: auto;
    z-index: 1;
}

nav ul li ul::before {
    /* fill gap above to make mousing over them easier */
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: -0.5rem;
    height: 0.5rem;
}

nav ul li ul li,
nav ul li ul li a {
    display: block;
}

/* Typography */
code,
samp {
    background-color: var(--color-accent);
    border-radius: var(--border-radius);
    color: var(--color-text);
    display: inline-block;
    margin: 0 0.1rem;
    padding: 0 0.5rem;
}

pre {
    background-color: var(--color-accent);
    border-radius: var(--border-radius);
    color: var(--color-text);
    margin: 0 0.1rem;
    padding: 0 0.5rem;
}

details {
    margin: 1.3rem 0;
}

details summary {
    font-weight: bold;
    cursor: pointer;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    line-height: var(--line-height);
    text-wrap: balance;
}

mark {
    padding: 0.1rem;
}

ol li,
ul li {
    padding: 0.2rem 0;
}

p {
    margin: 0.75rem 0;
    padding: 0;
    width: 100%;
}

pre {
    margin: 1rem 0;
    max-width: var(--width-card-wide);
    padding: 1rem 0;
}

pre code,
pre samp {
    display: block;
    max-width: var(--width-card-wide);
    padding: 0.5rem 2rem;
    white-space: pre-wrap;
}

small {
    color: var(--color-text-secondary);
}

sup {
    background-color: var(--color-secondary);
    border-radius: var(--border-radius);
    color: var(--color-bg);
    font-size: xx-small;
    font-weight: bold;
    margin: 0.2rem;
    padding: 0.2rem 0.3rem;
    position: relative;
    top: -2px;
}

/* Links */
a {
    color: var(--color-link);
    display: inline-block;
    font-weight: bold;
    text-decoration: underline;
}

a:hover {
    filter: brightness(var(--hover-brightness));
}

a:active {
    filter: brightness(var(--active-brightness));
}

a b,
a em,
a i,
a strong,
button,
input[type="submit"] {
    border-radius: var(--border-radius);
    display: inline-block;
    font-size: medium;
    font-weight: bold;
    line-height: var(--line-height);
    margin: 0.4rem 0;
    padding: 0.6rem 1.2rem;
}

button,
input[type="submit"] {
    font-family: var(--font-family);
}

button:hover,
input[type="submit"]:hover {
    cursor: pointer;
    filter: brightness(var(--hover-brightness));
}

button:active,
input[type="submit"]:active {
    filter: brightness(var(--active-brightness));
}

a b,
a strong,
button,
input[type="submit"] {
    background-color: var(--color-link);
    border: 2px solid var(--color-link);
    color: var(--color-bg);
}

a em,
a i {
    border: 2px solid var(--color-link);
    border-radius: var(--border-radius);
    color: var(--color-link);
    display: inline-block;
    padding: 0.6rem 1.2rem;
}

.banner {
    background-color: var(--color-accent);
    border: 2px solid var(--color-accent);
    color: var(--color-bg);
    margin: 1rem 0;
    padding: 1rem;

}

.banner .danger {
    background-color: var(--color-alert);
    border: 2px solid var(--color-alert);
    color: var(--color-bg);
}

a b .danger {
    background-color: var(--color-alert);
    border: 2px solid var(--color-alert);
    color: var(--color-bg);
}


.danger > i {
    border-color: var(--color-alert);
    color: var(--color-alert);
}

article aside a {
    color: var(--color-secondary);
}

/* Images */
figure {
    margin: 0;
    padding: 0;
}

figure img {
    max-width: 100%;
}

figure figcaption {
    color: var(--color-text-secondary);
}

/* Forms */
button:disabled,
input:disabled {
    background: var(--color-bg-secondary);
    border-color: var(--color-bg-secondary);
    color: var(--color-text-secondary);
    cursor: not-allowed;
}

button[disabled]:hover,
input[type="submit"][disabled]:hover {
    filter: none;
}

form {
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow) var(--color-shadow);
    display: block;
    max-width: var(--width-card-wide);
    min-width: var(--width-card);
    padding: 1.5rem;
    text-align: var(--justify-normal);
}

form header {
    margin: 1.5rem 0;
    padding: 1.5rem 0;
}

input,
label,
select,
textarea {
    display: block;
    font-size: inherit;
    max-width: var(--width-card-wide);
}

input[type="checkbox"],
input[type="radio"] {
    display: inline-block;
}

input[type="checkbox"]+label,
input[type="radio"]+label {
    display: inline-block;
    font-weight: normal;
    position: relative;
    top: 1px;
}

input[type="checkbox"] + label {
    display: inline-block;
    padding: 0.4rem 0.8rem;
    background-color: var(--color-bg-secondary);
    color: var(--color-text);
    cursor: pointer;
    border-radius: var(--border-radius);
}

input[type="checkbox"]:checked + label {
    background-color: var(--color-link);
    color: var(--color-bg);
}

input[type="range"] {
    padding: 0.4rem 0;
}

input,
select,
textarea {
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    margin-bottom: 1rem;
    padding: 0.4rem 0.8rem;
}

input[type="text"],
input[type="email"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="url"],
textarea {
    width: calc(100% - 1.6rem);
}

input[readonly],
textarea[readonly] {
    background-color: var(--color-bg-secondary);
}

label {
    font-weight: bold;
    margin-bottom: 0.2rem;
}

/* Popups */
dialog {
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow) var(--color-shadow);
}

dialog::backdrop {
    filter: blur(16px);
    background-color: rgba(0, 0, 0, 0.4);
}

/* Tables */
table {
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    border-spacing: 0;
    display: inline-block;
    max-width: 100%;
    overflow-x: auto;
    padding: 0;
    white-space: nowrap;
}

table td,
table th,
table tr {
    padding: 0.4rem 0.8rem;
    text-align: var(--justify-important);
}

table thead {
    background-color: var(--color-table);
    border-collapse: collapse;
    border-radius: var(--border-radius);
    color: var(--color-bg);
    margin: 0;
    padding: 0;
}

table thead tr:first-child th:first-child {
    border-top-left-radius: var(--border-radius);
}

table thead tr:first-child th:last-child {
    border-top-right-radius: var(--border-radius);
}

table thead th:first-child,
table tr td:first-child {
    text-align: var(--justify-normal);
}

table tr:nth-child(even) {
    background-color: var(--color-accent);
}

/* Quotes */
blockquote {
    display: block;
    font-size: x-large;
    line-height: var(--line-height);
    margin: 1rem auto;
    max-width: var(--width-card-medium);
    padding: 1.5rem 1rem;
    text-align: var(--justify-important);
}

blockquote footer {
    color: var(--color-text-secondary);
    display: block;
    font-size: small;
    line-height: var(--line-height);
    padding: 1.5rem 0;
}

/* Scrollbars */
* {
    scrollbar-width: thin;
    scrollbar-color: var(--color-scrollbar) transparent;
}

*::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

*::-webkit-scrollbar-track {
    background: transparent;
}

*::-webkit-scrollbar-thumb {
    background-color: var(--color-scrollbar);
    border-radius: 10px;
}

a,
button,
input,
select,
[tabindex],
[role="button"],
[role="checkbox"],
[role="link"],
[role="menuitem"],
[role="menuitemcheckbox"],
[role="menuitemradio"],
[role="option"],
[role="radio"],
[role="switch"],
[role="tab"],
[role="textbox"],
[role="treeitem"] {
    cursor: pointer;
}

.center {
    margin-left:auto;
    margin-right:auto;
}

section > aside {
    position: relative;
}

.usage {
    color: var(--color-bg);
    background-color: var(--color-link);
    padding: 0.2rem 0.5rem;
    border-radius: var(--border-radius);
    font-size: 0.8rem;
    text-align: center;

    position: absolute;
    top: 1rem;
    right: 1rem;
    cursor: pointer;
}

.usage:hover {
    filter: brightness(var(--hover-brightness));
    box-shadow: var(--color-link) var(--box-shadow);
}

dialog > .close {
    position: absolute;
    right: 0.5rem;
    top: 0.5rem;
}


.close {
    background-color: var(--color-text-secondary);
    border-radius: 64px;
    color: var(--color-bg);
    cursor: pointer;
    width: 48px;
    height: 48px;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.close::before {
    content: "✕";
}

.close:active {
    background-color: var(--color-link);
}

.chip {
    display: inline-block;
    padding: 0.1rem 0.6rem;
    line-height: var(--line-height);
    border-radius: var(--border-radius);
    background-color: var(--color-bg-secondary);
}

.chip img {
    float: left;
    margin: 0 10px 0 -25px;
    height: 50px;
    width: 50px;
    border-radius: 50%;
}

.tabs {
    display: flex;
    flex-wrap: wrap;
    background-color: var(--color-bg-tertiary);
    border-radius: var(--border-radius);
}

.input {
    position: absolute;
    opacity: 0;
}

.label {
    width: 100%;
    padding: 1rem;
    background-color: var(--color-bg-secondary);
    cursor: pointer;
    font-weight: bold;
    color: var(--color-text-secondary);
    border-radius: var(--border-radius);
}

.label:first-of-type {
    border-radius: var(--border-radius) 0 0 0;
}

.label:last-of-type {
    border-radius: 0 var(--border-radius) 0 0;
}

.label:hover {
    background: var(--color-accent)
}
.label:disabled {
    background-color: black;
    color: var(--color-text-secondary);
}

.label:active {
    background: var(--color-link);
    color: var(--color-bg-secondary);
}

.input:focus+.label {
    z-index: 1;
}

.input:checked+.label {
    background: var(--color-link);
    color: var(--color-bg);
}

@media (min-width: 600px) {
    .label {
        width: auto;
    }
}

.panel {
    display: none;
    padding: 20px 30px 30px;
    background: #fff;
    width: 100%;
    height: 100%;
}

@media (min-width: 600px) {
    .panel {
        order: 99;
    }
}

.input:checked+.label+.panel {
    display: block;
}

.list {
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    list-style: none;
    margin: 0;
    padding: 0;
}

.list li {
    position: relative;
}

.list li:first-child {
    border-top-left-radius: var(--border-radius);
}

.list li:first-child {
    border-top-right-radius: var(--border-radius);
}

.list li:first-child {
    text-align: var(--justify-normal);
}

.list li:nth-child(even) {
    background-color: var(--color-accent);
}

.list li > sup {
    position: absolute;
    right: 0.5rem;
    top: 50%;
    transform: translateY(-50%);
}

.image-slot {
    border: 1px solid var(--color-bg-secondary);
    border-radius: var(--border-radius);
    width: min-content;
    position: relative;
    width: 256px;
    height: 144px;

    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}


.image-slot a {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    width: 48px;
    height: 48px;
    background-color: var(--color-bg-secondary);
}

.image-slot a > i {
    border-radius: 9999px;
}